# $Id$
# Authority: dag

%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')
%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')

Summary: Media Center Toolkit
Name: pigment
Version: 0.3.11
Release: 1.rf
License: GPL
Group: Applications/Multimedia
URL: http://elisa.fluendo.com/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://elisa.fluendo.com/static/download/pigment/pigment-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: cairo-devel
BuildRequires: glib2-devel
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: gtk2-devel
BuildRequires: gtk-doc
BuildRequires: mesa-libGLU-devel
BuildRequires: python-devel
BuildRequires: pygobject2-devel

%description
Pigment is a toolkit for writing Media Center software.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel, pkgconfig, gtk-doc

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup

%build
%configure --disable-static --enable-gtk-doc
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING README TODO
%{_libdir}/libpigment*.so.*
%{_libdir}/pigment-0.3/

%files devel
%defattr(-, root, root, 0755)
%doc %{_datadir}/gtk-doc/html/pigment/
%{_includedir}/pigment-0.3/
%{_libdir}/libpigment*.so
%{_libdir}/pkgconfig/pigment-0.3.pc
%{_libdir}/pkgconfig/pigment-gtk-0.3.pc
%{_libdir}/pkgconfig/pigment-imaging-0.3.pc
%exclude %{_libdir}/libpigment*.la

%changelog
* Wed Dec 10 2008 Dag Wieers <dag@wieers.com> - 0.3.11-1 - +/
- Initial package. (based on fedora)
